cudnn_frontend_utils.h File Reference
`#include <exception>`
`#include <string>`
`#include <vector>`
`#include "cudnn_backend_base.h"`
`#include "cudnn_frontend_Logging.h"`
Include dependency graph for cudnn_frontend_utils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | cudnn_frontend::cudnnException

## Namespaces

| cudnn_frontend

## Typedefs

using | cudnn_frontend::feature_vector_t = std::vector< int64_t >
| Detailed feature_vector. Generally the Tensor and Operation properties. More...

## Functions

static void | cudnn_frontend::throw_if (std::function< bool()> expr, const char *message, cudnnStatus_t status)
static void | cudnn_frontend::throw_if (bool expr, const char *message, cudnnStatus_t status)
static std::string | cudnn_frontend::to_string (cudnnDataType_t type)
static std::string | cudnn_frontend::to_string (cudnnStatus_t status)
static void | cudnn_frontend::set_error_and_throw_exception (BackendDescriptor const *desc, cudnnStatus_t status, const char *message)